# fluentd-config

![Version: 1.0.0](https://img.shields.io/badge/Version-1.0.0-informational?style=flat-square) ![AppVersion: 2.0.1](https://img.shields.io/badge/AppVersion-2.0.1-informational?style=flat-square)

Fluentd configuration for log shipping to Logz.io, S3, Elastsicsearch

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Team Observability | <sbu_obseng@vmware.com> |  |

## Requirements

| Repository | Name | Version |
|------------|------|---------|
| oci://harbor-repo.vmware.com/sbu/infra-charts | app-utils(app-utils) | ~0.4.0 |

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| component | string | `"proxy"` |  |
| elasticsearch.enabled | bool | `false` |  |
| fluentd.enabled | bool | `true` |  |
| global.tags.component | string | `"fluentd-config"` |  |
| global.tags.env | string | `nil` |  |
| global.tags.instance | string | `"fluentd-config"` |  |
| global.tags.name | string | `"fluentd-config"` |  |
| global.tags.owner | string | `"sbu_obseng@vmware.com"` |  |
| global.tags.part_of | string | `"fluentd-config"` |  |
| global.tags.region | string | `nil` |  |
| global.tags.sguid | string | `"prodeng:observability:fluentd:config"` |  |
| global.tags.sku | string | `"none"` |  |
| global.tags.src_url | string | `"production-engineering_observability_helm-charts"` |  |
| global.tags.stage | string | `"dev"` |  |
| image.name | string | `"obseng/fluentd-config"` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.tag | string | `""` |  |
| logToMessageFiltering | bool | `true` |  |
| logzio.enabled | bool | `true` |  |
| logzio.host | string | `"listener.logz.io"` |  |
| logzio.token | string | `"YOUR_API_TOKEN"` |  |
| logzio.type | string | `nil` |  |
| opensearch.enabled | bool | `false` |  |
| opensearch.host | string | `nil` |  |
| opensearch.password | string | `"YOUR_PASSWORD"` |  |
| opensearch.user | string | `nil` |  |
| partOf | string | `"fluentd-config"` |  |
| resources.limits.memory | string | `"512Mi"` |  |
| resources.requests.cpu | string | `"250m"` |  |
| resources.requests.memory | string | `"512Mi"` |  |
| s3.bucket | string | `nil` |  |
| s3.buffer.file | string | `"fluent.buf"` |  |
| s3.buffer.path | string | `"/var/log/"` |  |
| s3.enabled | bool | `false` |  |
| s3.json | bool | `false` |  |
| s3.path | string | `"logs/"` |  |
| s3.region | string | `nil` |  |
| s3.s3Only | bool | `false` |  |
| s3.sse | bool | `false` |  |
| sguid | string | `"prodeng:observability:fluentd-config"` |  |
| standardTags.owner | string | `"sbu_obseng@vmware.com"` |  |
| standardTags.sku | string | `"none"` |  |
| standardTags.src_url | string | `"https://gitlab.bit9.local:production-engineering/observability/fluentd-config"` |  |
| standardTags.stage | string | `"dev"` |  |
| test.enabled | bool | `false` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.11.0](https://github.com/norwoodj/helm-docs/releases/v1.11.0)
