Create chart name and version as used by the chart label.
*/}}
{{- define "fluentd.chart.version" -}}
{{- printf "%s-%s" .Chart.Name .Chart.Version | replace "+" "_" | trunc 52 | trimSuffix "-" -}}
{{- end -}}

{{/*
Common Labels
*/}}
{{- define "labels" -}}
#Kubernetes Labels
app.kubernetes.io/name : {{ .Values.global.tags.name |  replace ":" "-" | trunc 52 | trimSuffix "-" }}
{{- if .Values.global.tags.instance }}
app.kubernetes.io/instance: {{ .Values.global.tags.instance |  replace ":" "-" | trunc 52 | trimSuffix "-" }}
{{- end }}
app.kubernetes.io/version: {{ template "fluentd.chart.version" . }}
{{- if .Values.global.tags.component }}
app.kubernetes.io/component: {{ .Values.global.tags.component |  replace ":" "-" | trunc 52 | trimSuffix "-" }}
{{- end }}
{{- if .Values.global.tags.part_of }}
app.kubernetes.io/part-of: {{ .Values.global.tags.part_of |  replace ":" "-" | trunc 52 | trimSuffix "-" }}
{{- end }}
app.kubernetes.io/managed-by: {{ .Release.Service }}

{{- end -}}

{{- define "sbuTags" -}}
{{- if .Values.global.tags.owner }}
sbu.vmware.com/owner: {{ .Values.global.tags.owner | trunc 52 | trimSuffix "-" }}
{{- end }}
{{- if .Values.global.tags.sguid }}
sbu.vmware.com/sguid: {{ .Values.global.tags.sguid |  replace ":" "-" | trunc 52 | trimSuffix "-" }}
{{- end }}
{{- if .Values.global.tags.src_url }}
sbu.vmware.com/src_url: {{ .Values.global.tags.src_url |  replace ":" "-" | replace "//" "_" | replace "/" "_" | replace "/" "_" | trunc 52 | trimSuffix "-" }}
{{- end }}
{{- if .Values.global.tags.stage }}
sbu.vmware.com/stage: {{ .Values.global.tags.stage |  replace ":" "-" | trunc 52 | trimSuffix "-" }}
{{- end }}
{{- if .Values.global.tags.sku }}
sbu.vmware.com/sku: {{ .Values.global.tags.sku |  replace ":" "-" | trunc 52 | trimSuffix "-" }}
{{- end }}
{{- end -}}

